/*
 * board.c
 *
 * Created: 26.07.2014 17:13:08
 *  Author: landreas
 */ 

#include "board.h"

void button_init(void){
	
	//PB0 is input
	BUTTON_PORT.DIRCLR = BUTTON_PIN;	
	//
	BUTTON_PORT.INT0MASK = BUTTON_PIN;
	
	BUTTON_PORT.PIN0CTRL |= PORT_ISC_FALLING_gc;
	
	BUTTON_PORT.INTCTRL |= PORT_INT0LVL_MED_gc;
	
	/*Interrupt level configuration Group configuration Description
	00 OFF Interrupt disabled.
	01 LO Low-level interrupt
	10 MED Medium-level interrupt
	11 HI High-level interrupt
	*/
	
}

void charger_init(void){
	
	//Battery charger status
	//HIGH means inactive / charging complete
	//LOW means charging
	
	//Set the status pin of the charger as input
	CHARGE_STATUS_PORT.DIRCLR = CHARGE_STATUS_PIN;
	
	//Set PC0 (pin change 0) to trigger on the status pin
	CHARGE_STATUS_PORT.INT0MASK = CHARGE_STATUS_PIN;
	
	//Trigger the interrupt on both edges of the status pin
	//Interrupt will trigger when USB is plugged in or removed
	//Enable pull up resistor
	CHARGE_STATUS_PORT.CHARGE_STATUS_PINCTRL |= PORT_ISC_BOTHEDGES_gc | PORT_OPC_PULLUP_gc;
	
	//Set level of importance for the interrupt to medium
	CHARGE_STATUS_PORT.INTCTRL |= PORT_INT0LVL_MED_gc;
	
}