/*
 * board.h
 *
 * Created: 26.07.2014 16:45:57
 *  Author: landreas
 */ 


#ifndef BOARD_H_
#define BOARD_H_

#include "conf_board.h"

/* MACROS */

//Green LED
#define GLED_init() LED_PORT.DIRSET = GLED
#define GLED_on() LED_PORT.OUTSET = GLED
#define GLED_off() LED_PORT.OUTCLR = GLED
#define GLED_toggle() LED_PORT.OUTTGL = GLED

//Red LED
#define RLED_init() LED_PORT.DIRSET = RLED
#define RLED_on() LED_PORT.OUTSET = RLED
#define RLED_off() LED_PORT.OUTCLR = RLED
#define RLED_toggle() LED_PORT.OUTTGL = RLED

//Check the charger status
//HIGH on the pin means inactive / charging complete
//LOW means charging
#define charging() !(CHARGE_STATUS_PORT.IN & CHARGE_STATUS_PIN)

//Initialize signal pin
#define SIGNAL_init() SIGNAL_PORT.DIRCLR = SIGNAL_PIN

//Enable I/O for the instrumentation amplifier and opamps
#define ENABLE_init() ENABLE_PORT.DIRSET = ENABLE_PIN
#define ENABLE_on() ENABLE_PORT.OUTSET = ENABLE_PIN
#define ENABLE_off() ENABLE_PORT.OUTCLR = ENABLE_PIN

/* PROTOTYPES */

void button_init(void);
void charger_init(void);




#endif /* BOARD_H_ */