/*
 * board_conf.h
 *
 * Created: 26.07.2014 16:48:17
 *  Author: landreas
 *
 * This file contains the configurations for the ECG board.
 * 
 */ 


#ifndef BOARD_CONF_H_
#define BOARD_CONF_H_

#include <avr/io.h>

//System clock div
#define SYSCLK_DIV CLK_PSADIV_2_gc

//Lowest sleep mode
#define SLEEP_MODE SLEEP_SMODE_IDLE_gc

//Indicator LEDs
#define LED_PORT PORTA
#define RLED PIN1_bm
#define GLED PIN2_bm

//User button at PB0
//Active low
#define BUTTON_PORT PORTB
#define BUTTON_PIN PIN0_bm

//Battery charger status at PD5
#define CHARGE_STATUS_PORT PORTD
#define CHARGE_STATUS_PIN PIN5_bm
#define CHARGE_STATUS_PINCTRL PIN5CTRL

//The port used by the SD card, assuming all lines are connected to the same port.
#define SDPORT PORTD
//SD card parallel lines
#define CS PIN4_bm
#define MOSI PIN3_bm
#define MISO PIN2_bm
#define CK PIN1_bm

//ADC
#define SIGNAL_PORT PORTA
#define SIGNAL_ADC ADCA
#define SIGNAL_PIN PIN5_bm
#define SIGNAL_MUX_PIN ADC_CH_MUXPOS_PIN5_gc

//Enable pin for the instrumentation amplifier and quad opamp
#define ENABLE_PORT PORTB
#define ENABLE_PIN PIN2_bm


#endif /* BOARD_CONF_H_ */